/*******************************************************************************/
/*                                                                             */
/*   (C) Copyright 2008 - Analog Devices, Inc.  All rights reserved.           */
/*                                                                             */
/*    FILE:     n25q064.h                                                       */
/*																			   */
/*    PURPOSE:  This header file defines items specific to the n25q064 flash.   */
/*                                                                             */
/*******************************************************************************/

#ifndef __N25Q064_H__
#define __N25Q064_H__

/* application definitions */
#define COMMON_SPI_SETTINGS (SPE|MSTR)  /* settings to the SPI_CTL */
#define TIMOD01 (0x01)                  /* sets the SPI to work with core instructions */

#define BAUD_RATE_DIVISOR 	2
#define PE4 0x0010

/* interface function prototypes */
ERROR_CODE n25q064_Open(void);						/* open the flash device */
ERROR_CODE n25q064_Close(void);						/* close the flas device */
ERROR_CODE n25q064_Read(unsigned short *pusData,		/* read some bytes from flash */
					   unsigned long ulStartAddress,
					   unsigned int uiCount );
ERROR_CODE n25q064_Write(unsigned short *pusData,	/* write some bytes to flash */
					    unsigned long ulStartAddress,
					    unsigned int uiCount );
ERROR_CODE n25q064_Control(unsigned int uiCmd,		/* send a command to device */
						  COMMAND_STRUCT *pCmdStruct);

#endif	/* N25Q064 */
